﻿

--
-- База данных: `game`
--

-- --------------------------------------------------------

--
-- Структура таблицы `alchemist`
--

CREATE TABLE IF NOT EXISTS `alchemist` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `lot1` int(11) NOT NULL,
  `lot2` int(11) NOT NULL,
  `lot3` int(11) NOT NULL,
  `lot4` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `attack`
--

CREATE TABLE IF NOT EXISTS `attack` (
  `id` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `hp` bigint(20) NOT NULL,
  `hpmax` bigint(20) NOT NULL,
  `sila` int(11) NOT NULL,
  `prot` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `nextud` int(11) NOT NULL,
  `kto` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `attack`
--

INSERT INTO `attack` (`id`, `name`, `hp`, `hpmax`, `sila`, `prot`, `boss`, `status`, `nextud`, `kto`) VALUES
(1, 'Наставник Хаоса', 355906113, 1000000000, 3110, 100000, 1, 0, 1470253067, 62666);

-- --------------------------------------------------------

--
-- Структура таблицы `at_bat`
--

CREATE TABLE IF NOT EXISTS `at_bat` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `exp` bigint(18) NOT NULL,
  `wins` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `silver` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `at_bat`
--

INSERT INTO `at_bat` (`id`, `usr`, `time`, `exp`, `wins`, `status`, `fight`, `silver`) VALUES
(1, 1, 0, 0, 0, 0, 1, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `ban`
--

CREATE TABLE IF NOT EXISTS `ban` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `ban` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `why` varchar(500) NOT NULL,
  `kto` varchar(25) NOT NULL,
  `timer` int(11) NOT NULL,
  `adm` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ban_history`
--

CREATE TABLE IF NOT EXISTS `ban_history` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `ban` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `why` varchar(500) NOT NULL,
  `kto` varchar(25) NOT NULL,
  `vrem` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `battle`
--

CREATE TABLE IF NOT EXISTS `battle` (
  `id` int(11) NOT NULL,
  `usr` varchar(25) NOT NULL,
  `name` varchar(25) NOT NULL,
  `hp` int(11) NOT NULL,
  `hpmax` int(11) NOT NULL,
  `prot` int(11) NOT NULL,
  `sila` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` varchar(25) NOT NULL,
  `nextud` int(11) NOT NULL,
  `task` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `s` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `bonus`
--

CREATE TABLE IF NOT EXISTS `bonus` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `bonus` varchar(25) NOT NULL,
  `time` int(11) NOT NULL,
  `image` int(11) NOT NULL,
  `typ` int(10) NOT NULL,
  `kol` varchar(40) NOT NULL,
  `param` varchar(20) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `bonus`
--

INSERT INTO `bonus` (`id`, `usr`, `name`, `bonus`, `time`, `image`, `typ`, `kol`, `param`) VALUES
(1, 1, 'Полный комплект', '+300 к параметрам', 1470825825, 1, 1, '', ''),
(2, 1, 'Дар Богов', '+5% к урону', 1470826435, 14, 0, '5', 'sila');

-- --------------------------------------------------------

--
-- Структура таблицы `capture`
--

CREATE TABLE IF NOT EXISTS `capture` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `race` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `wins` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `bot` int(11) NOT NULL,
  `nextud` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `capture`
--

INSERT INTO `capture` (`id`, `usr`, `race`, `city`, `time`, `exp`, `wins`, `status`, `bot`, `nextud`) VALUES
(2, 1, 1, 30, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL,
  `id_user` int(11) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) DEFAULT NULL,
  `timer` int(11) NOT NULL,
  `hiking` int(11) NOT NULL,
  `elit` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `chests`
--

CREATE TABLE IF NOT EXISTS `chests` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `description` text NOT NULL,
  `type` enum('normal','middle','heroic','newyear','legendary','either') NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `chests`
--

INSERT INTO `chests` (`id`, `name`, `description`, `type`) VALUES
(1, 'Старый Ящик', 'Такие сундуки у каждом доме на чердаке, никому не нужные. Вы можете получить ресурсы или какую-то вещь.', 'normal'),
(2, 'Ларец Чародея', 'Каждый стражник, когда вступает на службу, получает такой сундук для своих вещей.', 'middle'),
(3, 'Золотой Сундук', 'Этот сундук выдавали воинам которые победили Дракона на большой арене!', 'heroic'),
(4, 'Праздничная Коробка', 'В этой шкатулке хранится мудрость и золото! Повезёт лишь с одним!', 'newyear');

-- --------------------------------------------------------

--
-- Структура таблицы `chests_user`
--

CREATE TABLE IF NOT EXISTS `chests_user` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `chest_id` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `city`
--

CREATE TABLE IF NOT EXISTS `city` (
  `id` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `hp` int(11) NOT NULL,
  `hpmax` int(11) NOT NULL,
  `race` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `city`
--

INSERT INTO `city` (`id`, `name`, `hp`, `hpmax`, `race`) VALUES
(1, '15', 1846, 1846, 1),
(2, '30', 40532, 46700, 1),
(3, '45', 64755, 100000, 1),
(4, '60', 64479, 64479, 1),
(5, '75', 78034, 78034, 1),
(6, '90', 100000, 100000, 1),
(7, '100', 97124, 500000, 1),
(9, '150', 20989, 20989, 0),
(8, '135', 100000, 100000, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `clan`
--

CREATE TABLE IF NOT EXISTS `clan` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `plem` int(11) NOT NULL,
  `gold` int(11) NOT NULL,
  `offen` int(11) NOT NULL,
  `lider` int(11) NOT NULL,
  `kol` int(11) NOT NULL,
  `max_kol` int(11) NOT NULL DEFAULT '20',
  `rating` int(11) NOT NULL,
  `dost` int(11) NOT NULL,
  `desk` varchar(400) NOT NULL,
  `desk_kto` int(11) NOT NULL,
  `timereg` varchar(30) NOT NULL,
  `altar` int(11) NOT NULL DEFAULT '1',
  `castle` int(11) NOT NULL DEFAULT '1',
  `tower` int(11) NOT NULL DEFAULT '1',
  `storage` int(11) NOT NULL DEFAULT '1',
  `storage_bon` int(11) NOT NULL,
  `altar_bon` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `clan`
--

INSERT INTO `clan` (`id`, `name`, `plem`, `gold`, `offen`, `lider`, `kol`, `max_kol`, `rating`, `dost`, `desk`, `desk_kto`, `timereg`, `altar`, `castle`, `tower`, `storage`, `storage_bon`, `altar_bon`) VALUES
(1, 'Администрация', 1, 264000, 0, 1, 1, 20, 2000, 0, '', 0, '10 августа 2016, 13:40:32', 1, 1, 9, 8, 21, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `clan_chat`
--

CREATE TABLE IF NOT EXISTS `clan_chat` (
  `id` int(11) NOT NULL,
  `id_user` int(11) DEFAULT NULL,
  `clan` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) DEFAULT NULL,
  `timer` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_zayavky`
--

CREATE TABLE IF NOT EXISTS `clan_zayavky` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `plem` varchar(25) NOT NULL,
  `kto` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `kogo` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `coliseum`
--

CREATE TABLE IF NOT EXISTS `coliseum` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `battle` int(11) NOT NULL,
  `rating` int(11) NOT NULL,
  `kak` varchar(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `timer` int(11) NOT NULL,
  `wins` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `close` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `defense`
--

CREATE TABLE IF NOT EXISTS `defense` (
  `id` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `hp` int(11) NOT NULL,
  `hpmax` int(11) NOT NULL,
  `sila` int(11) NOT NULL,
  `prot` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `nextud` int(11) NOT NULL,
  `kto` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2206 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `defense`
--

INSERT INTO `defense` (`id`, `name`, `hp`, `hpmax`, `sila`, `prot`, `boss`, `status`, `nextud`, `kto`) VALUES
(2002, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(2001, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(2000, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 39),
(1999, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1998, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1997, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1996, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1995, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1994, 'Скелет', 15000, 15000, 400, 2000, 1, 0, 1470824587, 367),
(1993, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1992, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1991, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1990, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1989, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1988, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1987, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1986, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1985, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1984, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1983, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1982, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1981, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1980, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1979, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1978, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1977, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1976, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1975, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1974, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1973, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1972, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1971, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1970, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1969, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1968, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1967, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1966, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1965, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1964, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1963, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1962, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1961, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1960, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1959, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1958, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1957, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1956, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1955, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1954, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1953, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1952, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1951, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1950, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1949, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1948, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1947, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1946, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1945, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1944, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1943, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 367),
(1942, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1941, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1940, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1939, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1938, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1937, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1936, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1935, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1934, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1933, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1932, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1931, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1930, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1929, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1928, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1927, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1926, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1925, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1924, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1923, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1922, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1921, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1920, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1919, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1918, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1917, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1916, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1915, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1914, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1913, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1912, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1911, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1910, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1909, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1908, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1907, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1906, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1905, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1904, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1903, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1902, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1901, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1900, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1899, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1898, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1897, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1896, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1895, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1894, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1893, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1892, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1891, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1890, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1889, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1888, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1887, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1886, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1885, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1884, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1883, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1882, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1881, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1880, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1879, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1878, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1877, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1876, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1875, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1874, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1873, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1872, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1871, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1870, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1869, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1868, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1867, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1866, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1865, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1864, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1863, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1862, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1861, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1860, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1859, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1858, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1857, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1856, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1855, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1854, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1853, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1852, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1851, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1850, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1849, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1848, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 141207),
(1847, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1846, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1845, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1844, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1843, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1842, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1841, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1840, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1839, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1838, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1837, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1836, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1835, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1834, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1833, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1832, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1831, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1830, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1829, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1828, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1827, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1826, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1825, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1824, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1823, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1822, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1821, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1820, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1819, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1818, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1817, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1816, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1815, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1814, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1813, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1812, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1811, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1810, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1809, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1808, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1807, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1806, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1805, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1804, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1803, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1802, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1801, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1800, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1799, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1798, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1797, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1796, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1795, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1794, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1793, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1792, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1791, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1790, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1789, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1788, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1787, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1786, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1785, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1784, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1783, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1782, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1781, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1780, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1779, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1778, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1777, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1776, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1775, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1774, 'Скелет', 15000, 15000, 400, 2000, 1, 0, 1470824587, 127016),
(1773, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1772, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1771, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1770, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1769, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1768, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1767, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1766, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1765, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1764, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1763, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1762, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1761, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1760, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1759, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1758, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1757, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1756, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1755, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1754, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1753, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1752, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1751, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1750, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1749, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1748, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1747, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1746, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1745, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1744, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1743, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1742, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1741, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1740, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1739, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1738, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1737, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1736, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1735, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1734, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1733, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1732, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1731, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1730, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1729, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1728, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1727, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1726, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1725, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1724, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1723, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1722, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1721, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1720, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1719, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1718, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1717, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1716, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1715, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1714, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1713, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1712, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1711, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1710, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1709, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1708, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1707, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1706, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1705, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1704, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1703, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1702, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1701, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1700, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1699, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1698, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1697, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1696, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1695, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1694, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1693, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1692, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1691, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1690, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1689, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1688, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1687, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1686, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1685, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1684, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1683, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1682, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1681, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1680, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1679, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1678, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1677, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1676, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1675, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1674, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1673, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1672, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1671, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 136875),
(1670, 'Скелет', 15000, 15000, 400, 2000, 1, 0, 1470824587, 110965),
(1669, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1668, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1667, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1666, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1665, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1664, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1663, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1662, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1661, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1660, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1659, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1658, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1657, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1656, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1655, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1654, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1653, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1652, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1651, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1650, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1649, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1648, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1647, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1646, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1645, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1644, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1643, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1642, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1641, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1640, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1639, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1638, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1637, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1636, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1635, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1634, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1633, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1632, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1631, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1630, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1629, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1628, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1627, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1626, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1625, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1624, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1623, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1622, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1621, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1620, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1619, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1618, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1617, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1616, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1615, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1614, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1613, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1612, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1611, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1610, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1609, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1608, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1607, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1606, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1605, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1604, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1603, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1602, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1601, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1600, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1599, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1598, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1597, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1596, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1595, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1594, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1593, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1592, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1591, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1590, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1589, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1588, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1587, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1586, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1585, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1584, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1583, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1582, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1581, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1580, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1579, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1578, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1577, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1576, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1575, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1574, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1573, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1572, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1571, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1570, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1569, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1568, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1567, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1566, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1565, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1564, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1563, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1562, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1561, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1560, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1559, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1558, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1557, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1556, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1555, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1554, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1553, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1552, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1551, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1550, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1549, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1548, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1547, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1546, 'Скелет', 15000, 15000, 400, 2000, 1, 0, 1470824587, 367),
(1545, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1544, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1543, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1542, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1541, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1540, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1539, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1538, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1537, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1536, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1535, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1534, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1533, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1532, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1531, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1530, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1529, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1528, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1527, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1526, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1525, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1524, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1523, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1522, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1521, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1520, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1519, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1518, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1517, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1516, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1515, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1514, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1513, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1512, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1511, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1510, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1509, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1508, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1507, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1506, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1505, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1504, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1503, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1502, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1501, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1500, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1499, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1498, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1497, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1496, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1495, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1494, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1493, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1492, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1491, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1490, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1489, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1488, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1487, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1486, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1485, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1484, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1483, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1482, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1481, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1480, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1479, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1478, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1477, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1476, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1475, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1474, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1473, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1472, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1471, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1470, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1469, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1468, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1467, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1466, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1465, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1464, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1463, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1462, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1461, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1460, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1459, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1458, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1457, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1456, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1455, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1454, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1453, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1452, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1451, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1450, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1449, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1448, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1447, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1446, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1445, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1444, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1443, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1442, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1441, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1440, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1439, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1438, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1437, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1436, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1435, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1434, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1433, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1432, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1431, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1430, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1429, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1428, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1427, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1426, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1425, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1424, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1423, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1422, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1421, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1420, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1419, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1418, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1417, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1416, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1415, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1414, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1413, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1412, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1411, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1410, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1409, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1408, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1407, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1406, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1405, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1404, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1403, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1402, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1401, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1400, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1399, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1398, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1397, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1396, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1395, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1394, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1393, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1392, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1391, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1390, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1389, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1388, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1387, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1386, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1385, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1384, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1383, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1382, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1381, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1380, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1379, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1378, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1377, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1376, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1375, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1374, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1373, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1372, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1371, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1370, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1369, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1368, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1367, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1366, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1365, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1364, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1363, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1362, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1361, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1360, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1359, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1358, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1357, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1356, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1355, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1354, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1353, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1352, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1351, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1350, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1349, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1348, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1347, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1346, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1345, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1344, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1343, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1342, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1341, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1340, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1339, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1338, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1337, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1336, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1335, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1334, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1333, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1332, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1331, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1330, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1329, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1328, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1327, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1326, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1325, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1324, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1323, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1322, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1321, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1320, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1319, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1318, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1317, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1316, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1315, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1314, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1313, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1312, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1311, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1310, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1309, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1308, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1307, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1306, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1305, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1304, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1303, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1302, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1301, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1300, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1299, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1298, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1297, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1296, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1295, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1294, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1293, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1292, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1291, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1290, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1289, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1288, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1287, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1286, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1285, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1284, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1283, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1282, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1281, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1280, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1279, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1278, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1277, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1276, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1275, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1274, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1273, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1272, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1271, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1270, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1269, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1268, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1267, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1266, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1265, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1264, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1263, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1262, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1261, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1260, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1259, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1258, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1257, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1256, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1255, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1254, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1253, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1252, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1251, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1250, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1249, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1248, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1247, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1246, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1245, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1244, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1243, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1242, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1241, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1240, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1239, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1238, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1237, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1236, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1235, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1234, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1233, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1232, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1231, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1230, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1229, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1228, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1227, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1226, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1225, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1224, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1223, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1222, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1221, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1220, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1219, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1218, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1217, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1216, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1215, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1214, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1213, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1212, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1211, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1210, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1209, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1208, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1207, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1206, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1205, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1204, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1203, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1202, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1201, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1200, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1199, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0);
INSERT INTO `defense` (`id`, `name`, `hp`, `hpmax`, `sila`, `prot`, `boss`, `status`, `nextud`, `kto`) VALUES
(1198, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1197, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1196, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1195, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1194, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1193, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1192, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1191, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1190, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1189, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1188, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1187, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1186, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1185, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1184, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1183, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1182, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1181, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1180, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1179, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1178, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1177, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1176, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1175, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1174, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1173, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1172, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1171, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1170, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1169, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1168, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1167, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1166, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1165, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1164, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1163, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1162, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1161, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1160, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1159, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1158, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1157, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1156, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1155, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1154, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1153, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1152, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1151, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1150, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1149, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1148, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1147, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1146, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1145, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1144, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1143, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1142, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1141, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1140, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1139, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1138, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1137, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1136, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1135, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1134, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1133, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1132, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1131, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1130, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1129, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1128, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1127, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1126, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1125, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1124, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1123, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1122, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1121, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1120, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1119, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1118, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1117, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1116, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1115, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1114, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1113, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1112, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1111, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1110, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1109, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1108, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1107, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1106, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1105, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1104, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1103, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1102, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1101, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1100, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1099, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1098, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1097, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1096, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1095, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1094, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1093, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1092, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1091, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1090, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1089, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1088, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1087, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1086, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1085, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1084, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1083, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1082, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1081, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1080, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1079, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1078, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1077, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1076, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1075, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1074, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1073, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1072, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1071, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1070, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1069, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1068, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1067, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1066, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1065, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1064, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1063, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1062, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1061, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1060, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1059, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1058, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1057, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1056, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1055, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1054, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1053, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1052, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1051, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1050, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1049, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1048, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1047, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1046, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1045, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1044, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1043, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1042, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1041, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1040, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1039, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1038, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1037, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1036, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1035, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1034, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1033, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1032, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1031, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1030, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1029, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1028, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1027, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1026, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1025, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1024, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1023, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1022, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1021, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1020, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1019, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1018, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1017, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1016, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1015, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1014, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1013, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1012, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1011, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1010, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1009, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1008, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1007, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1006, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1005, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1004, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0),
(1003, 'Скелет', 15000, 15000, 400, 2000, 0, 0, 1470824587, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `def_bat`
--

CREATE TABLE IF NOT EXISTS `def_bat` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `wins` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `fight` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `def_bat`
--

INSERT INTO `def_bat` (`id`, `usr`, `time`, `exp`, `wins`, `status`, `fight`) VALUES
(1, 1, 1470914587, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `dlogi`
--

CREATE TABLE IF NOT EXISTS `dlogi` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `text` text CHARACTER SET utf8 NOT NULL,
  `uron` int(25) NOT NULL,
  `opon` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `umen` int(11) NOT NULL,
  `timer` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `dead` int(11) NOT NULL,
  `kogo` int(11) NOT NULL,
  `slip` int(11) NOT NULL,
  `del1` int(11) NOT NULL,
  `del2` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `duel`
--

CREATE TABLE IF NOT EXISTS `duel` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `who` int(11) NOT NULL,
  `race` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `min` int(11) NOT NULL,
  `max` int(11) NOT NULL,
  `timer` int(11) NOT NULL,
  `otm` int(11) NOT NULL,
  `agree` int(11) NOT NULL,
  `fight1` int(11) NOT NULL,
  `fight2` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `duellog`
--

CREATE TABLE IF NOT EXISTS `duellog` (
  `id` int(11) NOT NULL,
  `usr` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `text` text CHARACTER SET utf8 NOT NULL,
  `uron` int(25) NOT NULL,
  `opon` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `umen` int(11) NOT NULL,
  `timer` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `dead` int(11) NOT NULL,
  `kogo` int(11) NOT NULL,
  `slip` int(11) NOT NULL,
  `del1` int(11) NOT NULL,
  `del2` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `duel_bat`
--

CREATE TABLE IF NOT EXISTS `duel_bat` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `who` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `wusr` int(11) NOT NULL,
  `wwho` int(11) NOT NULL,
  `fight` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_comm`
--

CREATE TABLE IF NOT EXISTS `forum_comm` (
  `id` int(11) NOT NULL,
  `msg` varchar(10024) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_topic` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_comm_clan`
--

CREATE TABLE IF NOT EXISTS `forum_comm_clan` (
  `id` int(11) NOT NULL,
  `msg` varchar(10024) DEFAULT NULL,
  `clan` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_topic` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_razdel`
--

CREATE TABLE IF NOT EXISTS `forum_razdel` (
  `id` int(11) NOT NULL,
  `name` varchar(10024) DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_razdel`
--

INSERT INTO `forum_razdel` (`id`, `name`) VALUES
(2, 'Помощь по игре'),
(7, 'Кланы'),
(5, 'Предложения по игре'),
(6, 'Ошибки и баги'),
(4, 'Общение'),
(8, 'Вопросы по оплате'),
(9, 'Творчество');

-- --------------------------------------------------------

--
-- Структура таблицы `forum_razdel_clan`
--

CREATE TABLE IF NOT EXISTS `forum_razdel_clan` (
  `id` int(11) NOT NULL,
  `name` varchar(10024) DEFAULT NULL,
  `clan` int(11) NOT NULL,
  `razdel` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=14157 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_razdel_clan`
--

INSERT INTO `forum_razdel_clan` (`id`, `name`, `clan`, `razdel`) VALUES
(1, '†Гостевая†', 1, 1),
(2, '†Клановый†', 1, 2),
(3, 'Гостевая', 2, 0),
(8, 'Приемная', 4, 1),
(6, 'Общий', 4, 2),
(7, 'Технический раздел', 4, 2),
(9, 'Модераторский раздел', 4, 2),
(10, 'Гостевой раздел', 5, 1),
(11, 'Устав хранителей', 5, 2),
(12, 'Летопись', 5, 2),
(13, 'Нормы клана', 5, 2),
(14, 'Комната отдыха', 5, 2),
(16, 'Объявления', 5, 2),
(17, 'Клановый', 8, 2),
(18, 'Гостевая', 8, 1),
(19, 'Офицерский', 8, 2),
(20, 'Гостевой раздел', 10, 0),
(22, 'Клановый', 10, 0),
(24, 'Наш Клан', 12, 1),
(14112, 'Общий', 12, 1),
(26, 'Для Гостей', 11, 0),
(27, 'Для Своих', 11, 0),
(28, 'Причал', 14, 1),
(29, 'Досуг', 14, 1),
(30, 'Администрация', 14, 2),
(32, 'Внутренний', 14, 2),
(39, '§¤=&lt;¥|КЛАНОВЫЙ|¥&gt;=¤§', 16, 0),
(37, 'Устав &quot;Вечных&quot;', 18, 0),
(40, '~&lt;:{ПРИЕМ В КЛАН}:&gt;~', 16, 0),
(135, 'ЗНАКОМСТВО!!!', 90, 0),
(44, 'Гостям', 20, 1),
(45, 'Клановый раздел', 20, 1),
(46, 'Гостевая', 21, 0),
(47, 'Наш клан', 21, 0),
(48, 'Guest House', 22, 1),
(49, 'Wolf''s Lair', 22, 1),
(50, 'Entertainment Section', 22, 1),
(51, '•Приемная', 23, 1),
(52, '•Знакомства', 23, 1),
(54, 'Беседка', 21, 0),
(55, 'Наш штаб.', 21, 0),
(56, 'Соклановцы', 30, 0),
(57, 'Гости', 30, 0),
(58, 'Гостивая™', 33, 1),
(59, '○ Приемная', 41, 1),
(60, '○ Штаб округа', 41, 1),
(61, '○ TROY', 41, 1),
(62, '○ Сердце клана', 41, 1),
(63, 'клановый', 35, 2),
(64, 'гостивая', 35, 1),
(65, 'Гостевая Цитадели', 45, 1),
(66, 'Цитадель', 45, 2),
(67, 'История Цитадели', 45, 2),
(68, 'Гостевой', 46, 0),
(70, 'Бар', 49, 0),
(71, 'Беседка', 49, 0),
(72, '₫Прием в Клан₫', 49, 0),
(73, 'Знакомство', 32, 0),
(74, 'ПРИМУ В КЛАН', 51, 0),
(75, 'Вступление!!!', 52, 0),
(76, '[G_H]', 53, 0),
(77, 'Звания', 18, 0),
(78, 'Гостова', 58, 0),
(87, 'Акацуки', 58, 0),
(80, 'Помощь  по игре .', 34, 0),
(81, '[U_А]', 53, 0),
(83, 'Комната клана: Вечных', 18, 0),
(84, 'ЖАЛОБЫ', 61, 0),
(85, '○ Досье', 41, 1),
(88, '$КЛАН$', 15, 0),
(89, 'знайомства', 48, 0),
(90, 'КАБИНЕТ', 61, 0),
(91, 'ВОПРОСЫ', 61, 0),
(92, 'приемная', 48, 0),
(93, 'гостевая', 64, 0),
(94, 'клановый', 64, 0),
(96, 'Цены', 5, 0),
(13969, 'Приёмная', 17, 0),
(100, 'Помощь новечькам', 69, 0),
(101, 'Вступления', 71, 0),
(102, 'Казна.', 24, 0),
(103, '+ОТПУСК+', 74, 0),
(105, 'Игры', 76, 0),
(107, 'Отпуск', 76, 0),
(126, 'Приємная', 81, 1),
(127, 'Гостевая', 82, 0),
(128, 'Приёмная', 83, 0),
(129, 'гостивая', 50, 1),
(130, '/казна', 84, 0),
(14053, 'Наш клан', 76, 0),
(132, 'Знакомства', 76, 0),
(133, 'для новеньких', 47, 1),
(14012, 'прием в клан', 136, 0),
(139, 'Открытый раздел', 15, 0),
(168, 'Звания', 100, 0),
(141, 'повишение', 90, 0),
(142, 'ПрИёМнАя', 94, 0),
(144, 'Гостевой', 93, 1),
(145, 'Клановый', 93, 1),
(146, 'Категории рейта', 94, 0),
(147, 'ТОП-30', 94, 0),
(148, 'Клан Renaissance', 96, 0),
(151, 'Гостевая', 96, 0),
(150, 'Внутренний двор', 96, 0),
(152, 'Приёмная', 97, 0),
(153, 'Устав', 97, 0),
(154, 'История', 97, 0),
(155, 'Знакомство', 97, 0),
(156, 'ТОП-20', 94, 0),
(184, 'приглашения', 108, 0),
(159, 'наш клан', 87, 1),
(13972, '®Общий раздел®', 99, 0),
(173, 'клановый раздел', 98, 0),
(169, 'Знакомства.', 100, 0),
(170, 'Нормы в день', 100, 0),
(174, 'общий раздел', 98, 0),
(175, 'В каких онлайн играх', 100, 0),
(177, 'золото', 77, 0),
(178, 'kiev', 101, 1),
(179, 'Приёмная', 28, 0),
(182, 'Беседка', 54, 0),
(183, 'Гостевая', 54, 1),
(185, 'test', 105, 1),
(186, 'казна', 106, 1),
(188, 'Клан', 109, 0),
(189, 'Набор в клан', 109, 0),
(14092, 'Приемная', 187, 0),
(192, 'Нашые развличения', 109, 0),
(193, 'Засекреченый', 109, 0),
(194, 'Вопросы соклановцев', 109, 0),
(195, 'Приемная', 111, 0),
(196, 'клановая', 111, 0),
(197, 'Знакомства', 107, 0),
(13967, 'Новость клана', 117, 0),
(13968, 'Приемная Elite Squad', 75, 0),
(13970, 'Приемная', 119, 0),
(13971, '®Клановый раздел®', 99, 2),
(13973, 'Клановый', 17, 0),
(13974, 'admin', 13, 0),
(13977, '&lt;~ПриемнаЯ~&gt;', 122, 0),
(13982, '¥Для Заместителей¥', 122, 0),
(13979, '¤Клановый¤', 122, 0),
(13983, '§!Новости!§', 122, 0),
(13984, 'Общий', 119, 0),
(13986, 'Клановый', 119, 0),
(13987, 'приемная', 123, 0),
(13988, '$КЛАН$', 123, 0),
(13989, 'клановый', 125, 0),
(13990, 'знакомства', 120, 0),
(13991, 'приёмная', 125, 0),
(13992, 'Приемная', 126, 0),
(13999, 'Приемная', 78, 0),
(14000, 'Клановый', 78, 0),
(14001, 'Гостевая', 129, 0),
(14003, 'Клановый', 130, 0),
(14005, 'взносы', 131, 0),
(14007, '&quot;Отпуски и т.д.&quot;', 122, 0),
(14009, 'Знакомимся', 133, 0),
(14010, 'Приёмная...', 135, 0),
(14011, 'Знакомства...', 135, 0),
(14060, 'Информация', 137, 0),
(14014, 'Знакомства', 137, 0),
(14015, 'Отпуск', 137, 0),
(14061, 'Вопрос/ответ', 137, 0),
(14017, 'Стенгазета', 137, 0),
(14019, 'Рейтинг клана', 131, 0),
(14049, 'Клановый', 138, 0),
(14023, 'Общий', 138, 0),
(14055, 'Набор рекрутов', 143, 0),
(14054, 'Зам командиров', 143, 0),
(14027, 'Гостивая комната', 142, 0),
(14028, 'Гостевой', 144, 0),
(14029, 'Клановый', 144, 0),
(14030, 'Приемная', 145, 0),
(14031, 'анекдоты', 146, 0),
(14032, 'Черный Список', 144, 0),
(14033, 'Клан', 148, 0),
(14034, 'КЛАН', 142, 0),
(14035, 'Бар', 152, 0),
(14045, 'Гостевой', 155, 0),
(14037, 'Правила клана', 145, 0),
(14038, 'Развлечения', 145, 0),
(14044, 'Приемная', 155, 0),
(14042, 'Правила клана', 155, 0),
(14043, 'Личные даные', 155, 0),
(14046, 'Правила Клана', 156, 0),
(14047, 'приемная', 159, 0),
(14048, 'клану', 159, 0),
(14050, 'Для новичков', 137, 0),
(14052, 'Приемная:)', 162, 0),
(14056, 'Таверна легиона', 143, 0),
(14058, 'Личный кабинет', 162, 0),
(14062, 'Клан', 71, 0),
(14064, '&quot;Приемная Клана&quot;', 137, 0),
(14068, 'Гостевой', 165, 0),
(14069, 'Раздел клана', 165, 0),
(14070, 'совет заместителей', 152, 0),
(14072, 'ЗаявкИ', 167, 0),
(14073, 'приемная', 168, 0),
(14074, 'Наступление', 137, 0),
(14081, 'приемная', 152, 0),
(14076, 'Предложение в игре.', 137, 0),
(14077, 'приемная', 158, 0),
(14078, 'дя заместителей', 170, 0),
(14079, 'для всех', 170, 0),
(14080, 'для гостей', 170, 0),
(14109, '♠Общий раздел♠', 173, 0),
(14085, 'ПРИЕМНАЯ', 175, 0),
(14086, 'КЛАНОВЫЙ', 175, 0),
(14087, 'приёмная', 176, 0),
(14088, 'знакомства', 180, 0),
(14089, 'Приемная', 181, 0),
(14090, 'Нормы клана', 181, 0),
(14091, 'Наш клан', 181, 0),
(14093, 'Общий', 187, 0),
(14094, 'Прыйомная', 188, 0),
(14095, 'Наш клан', 188, 0),
(14096, 'Цены на звания в клане', 188, 0),
(14097, 'Жалобы', 188, 0),
(14098, '~Кабак~', 87, 0),
(14099, 'набираю всех уровней !', 191, 0),
(14100, 'кого как зовут!', 191, 0),
(14101, 'Клановый', 196, 0),
(14105, 'Работа для замов', 196, 0),
(14106, 'Помощь по игре', 196, 0),
(14108, '®Клановый раздел®', 173, 0),
(14117, 'ПРИЕМНАЯ', 198, 0),
(14113, 'Приемная', 12, 1),
(14114, '-=Гостивая=-', 197, 0),
(14116, '~Рейтинги~', 87, 0),
(14118, 'ГОСТЕВАЯ', 198, 0),
(14120, '~Другое~', 87, 0),
(14125, 'общий', 199, 0),
(14126, '.  Приемная', 201, 0),
(14127, 'Знакомство!', 131, 0),
(14128, '-=Форум клана=-', 197, 0),
(14129, 'как прокачаться?!', 131, 0),
(14131, 'новабранцам', 170, 0),
(14132, 'забегаловка', 206, 0),
(14133, 'КЛАНОВАЯ КОМНАТА', 198, 0),
(14134, 'ОТПУСК', 198, 0),
(14135, 'налог', 198, 0),
(14136, 'Правила и устав', 207, 0),
(14137, 'Клан', 207, 0),
(14138, 'Развлечения!!!!', 207, 0),
(14139, 'Приемная', 208, 0),
(14140, 'в сех приглашаю в клан', 211, 0),
(14141, 'гостевая', 215, 0),
(14142, 'Клановый раздел', 215, 0),
(14143, 'ПРИЕМНАЯ', 217, 0),
(14144, 'КЛАНОВЫЙ', 217, 0),
(14145, 'знакомство', 219, 0),
(14146, 'Приемная', 218, 0),
(14147, 'клановый', 219, 0),
(14152, 'изгнание', 219, 0),
(14150, 'Приемная', 214, 0),
(14151, '&lt;Приемная клана&gt;', 220, 0),
(14153, 'знакомимся', 222, 0),
(14154, 'вступление', 222, 0),
(14155, 'Гостевой', 223, 0),
(14156, 'Клановый', 223, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `forum_topic`
--

CREATE TABLE IF NOT EXISTS `forum_topic` (
  `id` int(11) NOT NULL,
  `name` varchar(10024) DEFAULT NULL,
  `msg` varchar(10024) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_razdel` int(11) NOT NULL,
  `close` int(11) NOT NULL DEFAULT '0',
  `verh` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_topic_clan`
--

CREATE TABLE IF NOT EXISTS `forum_topic_clan` (
  `id` int(11) NOT NULL,
  `name` varchar(10024) DEFAULT NULL,
  `msg` varchar(10024) DEFAULT NULL,
  `clan` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_razdel` int(11) NOT NULL,
  `close` int(11) NOT NULL DEFAULT '0',
  `verh` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `friends`
--

CREATE TABLE IF NOT EXISTS `friends` (
  `id` int(11) NOT NULL,
  `kto` int(11) DEFAULT NULL,
  `kogo` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `hiking`
--

CREATE TABLE IF NOT EXISTS `hiking` (
  `id` int(11) NOT NULL,
  `name` int(11) NOT NULL,
  `imp` int(11) NOT NULL,
  `lider` int(11) NOT NULL,
  `usr1` int(11) NOT NULL,
  `usr2` int(11) NOT NULL,
  `usr3` int(11) NOT NULL,
  `kol` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `vol` int(11) NOT NULL DEFAULT '1',
  `open` int(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `otkat` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `hik_gift`
--

CREATE TABLE IF NOT EXISTS `hik_gift` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `weapon` int(11) NOT NULL,
  `hik` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `hik_otk`
--

CREATE TABLE IF NOT EXISTS `hik_otk` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `hiking` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `vol` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `team` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `hik_us`
--

CREATE TABLE IF NOT EXISTS `hik_us` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `hik` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `hik_zay`
--

CREATE TABLE IF NOT EXISTS `hik_zay` (
  `id` int(11) NOT NULL,
  `hiking` int(11) NOT NULL,
  `kto` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `kogo` int(11) NOT NULL,
  `pohod` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `hunting`
--

CREATE TABLE IF NOT EXISTS `hunting` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `close` int(11) NOT NULL,
  `level` int(11) NOT NULL DEFAULT '1',
  `gold` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `battle` int(11) NOT NULL,
  `win` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `hunting`
--

INSERT INTO `hunting` (`id`, `usr`, `time`, `status`, `fight`, `close`, `level`, `gold`, `exp`, `battle`, `win`) VALUES
(1, 1, 1470847886, 0, 0, 1, 12, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `ignor`
--

CREATE TABLE IF NOT EXISTS `ignor` (
  `id` int(11) NOT NULL,
  `kto` int(11) DEFAULT NULL,
  `kogo` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ipban`
--

CREATE TABLE IF NOT EXISTS `ipban` (
  `id` int(11) NOT NULL,
  `ip` varchar(200) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `kompl`
--

CREATE TABLE IF NOT EXISTS `kompl` (
  `id` int(12) NOT NULL,
  `id_komp` int(12) NOT NULL,
  `name` varchar(50) NOT NULL,
  `type` varchar(200) NOT NULL,
  `cena` int(12) NOT NULL,
  `url` varchar(50) NOT NULL,
  `stats` varchar(500) NOT NULL,
  `ur` int(11) NOT NULL DEFAULT '5',
  `lvl` int(11) NOT NULL DEFAULT '1',
  `fleece` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=171 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `kompl`
--

INSERT INTO `kompl` (`id`, `id_komp`, `name`, `type`, `cena`, `url`, `stats`, `ur`, `lvl`, `fleece`) VALUES
(10, 1, 'Шлем Новобранца', 'голова', 20, '/images/weapon/3.jpg', '20;20;20', 5, 1, 0),
(11, 1, 'Наплечники  Новобранца', 'плечи', 20, '/images/weapon/8.jpg', '20;20;20', 5, 1, 0),
(12, 1, 'Доспех Новобранца', 'тело', 20, '/images/weapon/4.jpg', '20;20;20', 5, 1, 0),
(14, 1, 'Щит  Новобранца', 'рука 2', 20, '/images/weapon/2.jpg', '20;20;20', 5, 1, 0),
(15, 1, 'Топор Новобранца', 'рука 1', 20, '/images/weapon/1.jpg', '20;20;20', 5, 1, 0),
(44, 2, 'Шлем Бойца', 'голова', 60, '/images/weapon/13.jpg', '50;50;50', 5, 1, 0),
(17, 1, 'Сапоги  Новобранца', 'ноги', 20, '/images/weapon/6.jpg', '20;20;20', 5, 1, 0),
(18, 1, 'Кольцо  Новобранца', 'кольцо', 20, '/images/weapon/9.jpg', '20;20;20', 5, 1, 0),
(19, 1, 'Амулет  Новобранца', 'шея', 20, '/images/weapon/10.jpg', '20;20;20', 5, 1, 0),
(73, 4, 'Броня Сокрушителя', 'тело', 180, '/images/weapon/34.jpg', '150;150;150', 4, 1, 0),
(72, 4, 'Наплечники  Сокрушителя', 'плечи', 180, '/images/weapon/38.jpg', '150;150;150', 4, 1, 0),
(71, 4, 'Шлем Сокрушителя', 'голова', 180, '/images/weapon/33.jpg', '150;150;150', 4, 1, 0),
(70, 3, 'Амулет  Стража', 'шея', 120, '/images/weapon/30.jpg', '100;100;100', 4, 1, 0),
(69, 3, 'Кольцо  Стража', 'кольцо', 120, '/images/weapon/29.jpg', '100;100;100', 4, 1, 0),
(68, 3, 'Сапоги  Стража', 'ноги', 120, '/images/weapon/26.jpg', '100;100;100', 4, 1, 0),
(67, 3, 'Топор Стража', 'рука 1', 120, '/images/weapon/21.jpg', '100;100;100', 4, 1, 0),
(66, 3, 'Щит  Стража', 'рука 2', 120, '/images/weapon/22.jpg', '100;100;100', 4, 1, 0),
(64, 3, 'Кольчуга Стража', 'тело', 120, '/images/weapon/24.jpg', '100;100;100', 4, 1, 0),
(63, 3, 'Наплечники  Стража', 'плечи', 120, '/images/weapon/28.jpg', '100;100;100', 4, 1, 0),
(52, 2, 'Амулет  Бойца', 'шея', 60, '/images/weapon/20.jpg', '50;50;50', 5, 1, 0),
(62, 3, 'Шлем Стража', 'голова', 120, '/images/weapon/23.jpg', '100;100;100', 4, 1, 0),
(51, 2, 'Кольцо  Бойца', 'кольцо', 60, '/images/weapon/19.jpg', '50;50;50', 5, 1, 0),
(50, 2, 'Сапоги  Бойца', 'ноги', 60, '/images/weapon/16.jpg', '50;50;50', 5, 1, 0),
(45, 2, 'Наплечники  Бойца', 'плечи', 60, '/images/weapon/18.jpg', '50;50;50', 5, 1, 0),
(46, 2, 'Кольчуга Бойца', 'тело', 60, '/images/weapon/14.jpg', '50;50;50', 5, 1, 0),
(48, 2, 'Щит  Бойца', 'рука 2', 60, '/images/weapon/12.jpg', '50;50;50', 5, 1, 0),
(49, 2, 'Меч Бойца', 'рука 1', 60, '/images/weapon/11.jpg', '50;50;50', 5, 1, 0),
(75, 4, 'Щит  Сокрушителя', 'рука 2', 180, '/images/weapon/32.jpg', '150;150;150', 4, 1, 0),
(76, 4, 'Топор Сокрушителя', 'рука 1', 180, '/images/weapon/31.jpg', '150;150;150', 4, 1, 0),
(77, 4, 'Сапоги  Сокрушителя', 'ноги', 180, '/images/weapon/36.jpg', '150;150;150', 4, 1, 0),
(78, 4, 'Кольцо  Сокрушителя', 'кольцо', 180, '/images/weapon/39.jpg', '150;150;150', 4, 1, 0),
(79, 4, 'Амулет  Сокрушителя', 'шея', 180, '/images/weapon/40.jpg', '150;150;150', 4, 1, 0),
(80, 5, 'Шлем Паладина', 'голова', 240, '/images/weapon/41.jpg', '200;200;200', 4, 1, 0),
(81, 5, 'Наплечники Паладина', 'плечи', 240, '/images/weapon/42.jpg', '200;200;200', 4, 1, 0),
(82, 5, 'Доспех Паладина', 'тело', 240, '/images/weapon/43.jpg', '200;200;200', 4, 1, 0),
(84, 5, 'Щит Паладина', 'рука 2', 240, '/images/weapon/45.jpg', '200;200;200', 4, 1, 0),
(85, 5, 'Меч Паладина', 'рука 1', 240, '/images/weapon/46.jpg', '200;200;200', 4, 1, 0),
(86, 5, 'Сапоги Паладина', 'ноги', 240, '/images/weapon/47.jpg', '200;200;200', 4, 1, 0),
(87, 5, 'Кольцо Паладина', 'кольцо', 240, '/images/weapon/48.jpg', '200;200;200', 4, 1, 0),
(88, 5, 'Амулет Паладина', 'шея', 240, '/images/weapon/49.jpg', '200;200;200', 4, 1, 0),
(89, 6, 'Шлем Разрушения', 'голова', 300, '/images/weapon/51.jpg', '300;300;300', 3, 1, 0),
(90, 6, 'Наплечники Разрушения', 'плечи', 300, '/images/weapon/52.jpg', '300;300;300', 3, 1, 0),
(91, 6, 'Доспех Разрушения', 'тело', 300, '/images/weapon/53.jpg', '300;300;300', 3, 1, 0),
(93, 6, 'Щит Разрушения', 'рука 2', 300, '/images/weapon/55.jpg', '300;300;300', 3, 1, 0),
(94, 6, 'Молот Разрушения', 'рука 1', 300, '/images/weapon/56.jpg', '300;300;300', 3, 1, 0),
(95, 6, 'Сапоги Разрушения', 'ноги', 300, '/images/weapon/57.jpg', '300;300;300', 3, 1, 0),
(96, 6, 'Кольцо Разрушения', 'кольцо', 300, '/images/weapon/58.jpg', '300;300;300', 3, 1, 0),
(97, 6, 'Амулет Разрушения', 'шея', 300, '/images/weapon/59.jpg', '300;300;300', 3, 1, 0),
(98, 7, 'Шлем Истины', 'голова', 360, '/images/weapon/61.jpg', '400;400;400', 3, 1, 0),
(99, 7, 'Наплечи Истины ', 'плечи', 360, '/images/weapon/62.jpg', '400;400;400', 3, 1, 0),
(100, 7, 'Доспех Истины', 'тело', 360, '/images/weapon/63.jpg', '400;400;400', 3, 1, 0),
(102, 7, 'Щит Истины', 'рука 2', 360, '/images/weapon/65.jpg', '400;400;400', 3, 1, 0),
(103, 7, 'Тесак Истины', 'рука 1', 360, '/images/weapon/66.jpg', '400;400;400', 3, 1, 0),
(104, 7, 'Сапоги Истины', 'ноги', 360, '/images/weapon/67.jpg', '400;400;400', 3, 1, 0),
(105, 7, 'Кольцо Истины', 'кольцо', 360, '/images/weapon/68.jpg', '400;400;400', 3, 1, 0),
(106, 7, 'Амулет Истины', 'шея', 360, '/images/weapon/69.jpg', '400;400;400', 3, 1, 0),
(107, 100, 'Шлем Воина', 'голова', 1, '/images/weapon/70.jpg', '35;35;35', 5, 1, 0),
(108, 100, 'Наплечники  Воина', 'плечи', 1, '/images/weapon/72.jpg', '35;35;35', 5, 1, 0),
(109, 100, 'Доспех  Воина', 'тело', 1, '/images/weapon/71.jpg', '35;35;35', 5, 1, 0),
(110, 100, 'Щит  Воина', 'рука 2', 1, '/images/weapon/74.jpg', '35;35;35', 5, 1, 0),
(111, 100, 'Меч  Воина', 'рука 1', 1, '/images/weapon/73.jpg', '35;35;35', 5, 1, 0),
(112, 100, 'Сапоги  Воина', 'ноги', 1, '/images/weapon/75.jpg', '35;35;35', 5, 1, 0),
(113, 100, 'Кольцо  Воина', 'кольцо', 1, '/images/weapon/76.jpg', '35;35;35', 5, 1, 0),
(114, 100, 'Оберег Воина', 'шея', 1, '/images/weapon/77.jpg', '35;35;35', 5, 1, 0),
(115, 101, 'Стальной Шлем', 'голова', 2, '/images/weapon/78.jpg', '80;80;80', 4, 1, 0),
(116, 101, 'Стальные Наплечи', 'плечи', 2, '/images/weapon/79.jpg', '80;80;80', 4, 1, 0),
(117, 101, 'Стальной Доспех', 'тело', 2, '/images/weapon/80.jpg', '80;80;80', 4, 1, 0),
(118, 101, 'Стальной Меч', 'рука 1', 2, '/images/weapon/81.jpg', '80;80;80', 4, 1, 0),
(119, 101, 'Стальной Щит', 'рука 2', 2, '/images/weapon/82.jpg', '80;80;80', 4, 1, 0),
(120, 101, 'Стальные Сапоги', 'ноги', 2, '/images/weapon/83.jpg', '80;80;80', 4, 1, 0),
(121, 101, 'Стальное Кольцо', 'кольцо', 2, '/images/weapon/84.jpg', '80;80;80', 4, 1, 0),
(122, 101, 'Стальной Кулон', 'шея', 2, '/images/weapon/85.jpg', '80;80;80', 4, 1, 0),
(123, 102, 'Маска Оборотня', 'голова', 2, '/images/weapon/86.jpg', '120;120;120', 4, 1, 0),
(124, 102, 'Наплечи Оборотня', 'плечи', 2, '/images/weapon/87.jpg', '120;120;120', 4, 1, 0),
(125, 102, 'Доспех Оборотня', 'тело', 2, '/images/weapon/88.jpg', '120;120;120', 4, 1, 0),
(126, 102, 'Клык Оборотня', 'рука 1', 2, '/images/weapon/89.jpg', '120;120;120', 4, 1, 0),
(127, 102, 'Щит Оборотня', 'рука 2', 2, '/images/weapon/90.jpg', '120;120;120', 4, 1, 0),
(128, 102, 'Поножи Оборотня', 'ноги', 2, '/images/weapon/91.jpg', '120;120;120', 4, 1, 0),
(129, 102, 'Кольцо Оборотня', 'кольцо', 2, '/images/weapon/92.jpg', '120;120;120', 4, 1, 0),
(130, 102, 'Амулет Оборотня', 'шея', 2, '/images/weapon/93.jpg', '120;120;120', 4, 1, 0),
(131, 103, 'Шлем Призрака', 'голова', 2, '/images/weapon/94.jpg', '180;180;180', 4, 1, 0),
(132, 103, 'Наплечи Призрака', 'плечи', 2, '/images/weapon/95.jpg', '180;180;180', 4, 1, 0),
(133, 103, 'Доспех Призрака', 'тело', 2, '/images/weapon/96.jpg', '180;180;180', 4, 1, 0),
(134, 103, 'Булава Призрака', 'рука 1', 2, '/images/weapon/97.jpg', '180;180;180', 4, 1, 0),
(135, 103, 'Щит Призрака', 'рука 2', 2, '/images/weapon/98.jpg', '180;180;180', 4, 1, 0),
(136, 103, 'Поножи Призрака', 'ноги', 2, '/images/weapon/99.jpg', '180;180;180\r\n', 4, 1, 0),
(137, 103, 'Кольцо Призрака', 'кольцо', 2, '/images/weapon/100.jpg', '180;180;180\r\n', 4, 1, 0),
(138, 103, 'Цепь Призрака', 'шея', 2, '/images/weapon/101.jpg', '180;180;180\r\n', 4, 1, 0),
(139, 8, 'Небесный Шлем', 'голова', 500, '/images/weapon/102.jpg', '500;500;500', 3, 1, 0),
(140, 8, 'Небесные Наплечи', 'плечи', 500, '/images/weapon/103.jpg', '500;500;500', 3, 1, 0),
(141, 8, 'Небесный Доспех ', 'тело', 500, '/images/weapon/104.jpg', '500;500;500', 3, 1, 0),
(142, 8, 'Небесный Меч', 'рука 1', 500, '/images/weapon/105.jpg', '500;500;500', 3, 1, 0),
(143, 8, 'Небесный Щит', 'рука 2', 500, '/images/weapon/106.jpg', '500;500;500', 3, 1, 0),
(144, 8, 'Небесные Сапоги', 'ноги', 500, '/images/weapon/107.jpg', '500;500;500', 3, 1, 0),
(145, 8, 'Небесное Кольцо', 'кольцо', 500, '/images/weapon/108.jpg', '500;500;500', 3, 1, 0),
(146, 8, 'Небесный Амулет', 'шея', 500, '/images/weapon/109.jpg', '500;500;500', 3, 1, 0),
(147, 9, 'Шлем Великих', 'голова', 600, '/images/weapon/110.jpg', '600;600;600', 2, 1, 0),
(148, 9, 'Наплечи Великих', 'плечи', 600, '/images/weapon/111.jpg', '600;600;600', 2, 1, 0),
(149, 9, 'Панцирь Великих', 'тело', 600, '/images/weapon/112.jpg', '600;600;600', 2, 1, 0),
(150, 9, 'Тесак и Секира', 'рука 1', 600, '/images/weapon/113.jpg', '600;600;600', 2, 1, 0),
(151, 9, 'Броня Великих', 'рука 2', 600, '/images/weapon/114.jpg', '600;600;600', 2, 1, 0),
(152, 9, 'Поножи Великих', 'ноги', 600, '/images/weapon/115.jpg', '600;600;600', 2, 1, 0),
(153, 9, 'Кольцо Великих', 'кольцо', 600, '/images/weapon/116.jpg', '600;600;600', 2, 1, 0),
(154, 9, 'Талисман Великих', 'шея', 600, '/images/weapon/117.jpg', '600;600;600', 2, 1, 0),
(155, 10, 'Золотой Шлем', 'голова', 725, '/images/weapon/118.jpg', '650;650;650', 2, 1, 0),
(156, 10, 'Золотые Наплечи', 'плечи', 725, '/images/weapon/119.jpg', '650;650;650', 2, 1, 0),
(157, 10, 'Золотой Доспех', 'тело', 725, '/images/weapon/120.jpg', '650;650;650', 2, 1, 0),
(158, 10, 'Золотой Топор', 'рука 1', 725, '/images/weapon/121.jpg', '650;650;650', 2, 1, 0),
(159, 10, 'Золотой Щит', 'рука 2', 725, '/images/weapon/122.jpg', '650;650;650', 2, 1, 0),
(160, 10, 'Золотые Сапоги', 'ноги', 725, '/images/weapon/123.jpg', '650;650;650', 2, 1, 0),
(161, 10, 'Золотое Кольцо', 'кольцо', 725, '/images/weapon/124.jpg', '650;650;650', 2, 1, 0),
(162, 10, 'Золотой Кулон', 'шея', 725, '/images/weapon/125.jpg', '650;650;650', 2, 1, 0),
(163, 11, 'Шлем Мрака', 'голова', 900, '/images/weapon/126.jpg', '700;700;700', 2, 1, 0),
(164, 11, 'Наплечники Мрака', 'плечи', 900, '/images/weapon/127.jpg', '700;700;700', 2, 1, 0),
(165, 11, 'Доспех Мрака', 'тело', 900, '/images/weapon/128.jpg', '700;700;700', 2, 1, 0),
(166, 11, 'Кинжал Мрака', 'рука 1', 900, '/images/weapon/129.jpg', '700;700;700', 2, 1, 0),
(167, 11, 'Щит Мрака', 'рука 2', 900, '/images/weapon/130.jpg', '700;700;700', 2, 1, 0),
(168, 11, 'Сапоги Мрака', 'ноги', 900, '/images/weapon/131.jpg', '700;700;700', 2, 1, 0),
(169, 11, 'Кольцо Мрака', 'кольцо', 900, '/images/weapon/132.jpg', '700;700;700', 2, 1, 0),
(170, 11, 'Оберег Мрака', 'шея', 900, '/images/weapon/133.jpg', '700;700;700', 2, 1, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `komplekt`
--

CREATE TABLE IF NOT EXISTS `komplekt` (
  `id` int(12) NOT NULL,
  `name` varchar(50) NOT NULL,
  `lvl` int(12) NOT NULL,
  `bon` int(11) NOT NULL,
  `cena` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=107 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `komplekt`
--

INSERT INTO `komplekt` (`id`, `name`, `lvl`, `bon`, `cena`) VALUES
(1, 'Доспехи Новобранца ', 1, 50, 160),
(2, 'Доспехи Бойца', 15, 150, 480),
(3, 'Доспехи Стража', 30, 300, 960),
(4, 'Доспехи Сокрушителя', 45, 500, 1440),
(5, 'Доспехи Паладина', 60, 800, 1920),
(6, 'Доспехи  Разрушения', 75, 1400, 2400),
(7, 'Доспехи Истины', 90, 2000, 2880),
(100, 'Доспехи Воина', 14, 120, 0),
(101, 'Стальные Доспехи', 24, 300, 0),
(102, 'Доспехи Оборотня', 36, 400, 0),
(103, 'Доспехи Призрака', 50, 650, 0),
(8, 'Небесные Доспехи', 105, 2700, 4000),
(9, 'Доспехи Великих', 120, 3500, 4800),
(10, 'Золотые Доспехи', 135, 4300, 5800),
(11, 'Доспехи Мрака', 150, 5000, 7200);

-- --------------------------------------------------------

--
-- Структура таблицы `kompl_us`
--

CREATE TABLE IF NOT EXISTS `kompl_us` (
  `id` int(12) NOT NULL,
  `id_komp` int(12) NOT NULL,
  `komplekt` int(11) NOT NULL,
  `act` int(1) NOT NULL DEFAULT '0',
  `id_us` int(11) DEFAULT NULL,
  `type` varchar(25) DEFAULT NULL,
  `hp` int(11) NOT NULL,
  `sila` int(11) NOT NULL,
  `prot` int(11) NOT NULL,
  `ur` int(11) NOT NULL,
  `lvl` int(11) NOT NULL DEFAULT '1',
  `sunduk` int(11) NOT NULL,
  `fleece` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `kompl_us`
--

INSERT INTO `kompl_us` (`id`, `id_komp`, `komplekt`, `act`, `id_us`, `type`, `hp`, `sila`, `prot`, `ur`, `lvl`, `sunduk`, `fleece`) VALUES
(1, 62, 3, 1, 1, 'голова', 100, 100, 100, 0, 1, 0, 0),
(2, 63, 3, 1, 1, 'плечи', 100, 100, 100, 0, 1, 0, 0),
(3, 64, 3, 1, 1, 'тело', 100, 100, 100, 0, 1, 0, 0),
(4, 66, 3, 1, 1, 'рука 2', 100, 100, 100, 0, 1, 0, 0),
(5, 67, 3, 1, 1, 'рука 1', 100, 100, 100, 0, 1, 0, 0),
(6, 68, 3, 1, 1, 'ноги', 100, 100, 100, 0, 1, 0, 0),
(7, 69, 3, 1, 1, 'кольцо', 100, 100, 100, 0, 1, 0, 0),
(8, 70, 3, 1, 1, 'шея', 100, 100, 100, 0, 1, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `link`
--

CREATE TABLE IF NOT EXISTS `link` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `link` varchar(200) NOT NULL,
  `timer` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2245901 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `link`
--

INSERT INTO `link` (`id`, `usr`, `link`, `timer`) VALUES
(2245900, 1, '/capture/index.php', 1470830368);

-- --------------------------------------------------------

--
-- Структура таблицы `logi`
--

CREATE TABLE IF NOT EXISTS `logi` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(25) NOT NULL,
  `time` int(11) NOT NULL,
  `kol` int(11) NOT NULL,
  `kto` varchar(25) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `logi`
--

INSERT INTO `logi` (`id`, `user_id`, `text`, `time`, `kol`, `kto`) VALUES
(1, 1, 'Ежедневный бонус', 1470825569, 50, '+'),
(2, 1, 'Клан', 1470825632, 20000, '-'),
(3, 1, 'казна', 1470825663, 10000000, '-'),
(4, 1, 'Сундук', 1470825782, 10000, '-'),
(5, 1, 'Вещь', 1470825815, 96000, '-'),
(6, 1, 'Охотник', 1470826289, 3500, '-'),
(7, 1, 'Охотник', 1470826293, 7000, '-'),
(8, 1, 'Охотник', 1470826294, 21000, '-'),
(9, 1, 'Охотник', 1470826294, 48900, '-'),
(10, 1, 'Охотник', 1470826295, 84000, '-'),
(11, 1, 'Охотник', 1470826296, 195900, '-'),
(12, 1, 'Охотник', 1470826296, 280000, '-'),
(13, 1, 'Охотник', 1470826297, 384900, '-'),
(14, 1, 'Охотник', 1470826297, 560000, '-'),
(15, 1, 'Охотник', 1470826298, 700000, '-'),
(16, 1, 'Охотник', 1470826299, 980000, '-'),
(17, 1, 'Старик', 1470826610, 75000, '+');

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `timer` int(25) NOT NULL,
  `msg` varchar(5000) NOT NULL,
  `read` set('0','1') NOT NULL DEFAULT '0',
  `unlink` int(11) DEFAULT '0',
  `show_vk` int(1) DEFAULT '1',
  `del_user` int(11) NOT NULL,
  `del_kont` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `master`
--

CREATE TABLE IF NOT EXISTS `master` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `kol` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `img` varchar(25) NOT NULL,
  `lot` int(11) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `newpass`
--

CREATE TABLE IF NOT EXISTS `newpass` (
  `id` int(11) NOT NULL,
  `key` varchar(99) NOT NULL,
  `login` varchar(99) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL,
  `msg` varchar(10024) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `title` varchar(32) DEFAULT NULL,
  `main_time` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news_kom`
--

CREATE TABLE IF NOT EXISTS `news_kom` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  `time` int(11) NOT NULL,
  `id_news` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `note`
--

CREATE TABLE IF NOT EXISTS `note` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `offen`
--

CREATE TABLE IF NOT EXISTS `offen` (
  `id` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `offen1` int(11) NOT NULL,
  `offen2` int(11) NOT NULL,
  `time1` int(11) NOT NULL,
  `time2` int(11) NOT NULL,
  `status1` int(11) NOT NULL,
  `status2` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `offen`
--

INSERT INTO `offen` (`id`, `clan`, `offen1`, `offen2`, `time1`, `time2`, `status1`, `status2`) VALUES
(1, 1, 1, 1, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `of_bat`
--

CREATE TABLE IF NOT EXISTS `of_bat` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `wins` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `fight` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `of_boss`
--

CREATE TABLE IF NOT EXISTS `of_boss` (
  `id` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `clan` int(11) NOT NULL,
  `hp` int(11) NOT NULL,
  `hpmax` int(11) NOT NULL,
  `sila` int(11) NOT NULL,
  `prot` int(11) NOT NULL,
  `boss` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `nextud` int(11) NOT NULL,
  `kto` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `setgame`
--

CREATE TABLE IF NOT EXISTS `setgame` (
  `id` int(11) NOT NULL,
  `obnova` int(11) NOT NULL,
  `def_time` int(11) NOT NULL,
  `fight` int(11) NOT NULL,
  `def_bat` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `gold` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `setgame`
--

INSERT INTO `setgame` (`id`, `obnova`, `def_time`, `fight`, `def_bat`, `exp`, `gold`) VALUES
(1, 0, 1470910987, 0, 1470825187, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `shadow`
--

CREATE TABLE IF NOT EXISTS `shadow` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `level` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `smiles`
--

CREATE TABLE IF NOT EXISTS `smiles` (
  `id` int(11) NOT NULL,
  `adres` varchar(300) NOT NULL,
  `name` varchar(50) DEFAULT '1'
) ENGINE=MyISAM AUTO_INCREMENT=96 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `smiles`
--

INSERT INTO `smiles` (`id`, `adres`, `name`) VALUES
(18, '/images/smiles/bita.gif', ':bita'),
(2, '/images/smiles/).gif', ':)'),
(3, '/images/smiles/(.gif', ':('),
(4, '/images/smiles/[.gif', ':]'),
(5, '/images/smiles/P.gif', ':-P'),
(6, '/images/smiles/roza.gif', ':roza'),
(7, '/images/smiles/D.gif', ':D'),
(17, '/images/smiles/be.gif', ':be'),
(16, '/images/smiles/ar.gif', ':music'),
(1, '/images/smiles/aaa.gif', ':aaa'),
(8, '/images/smiles/E.gif', ':E'),
(12, '/images/smiles/8.gif', ':8'),
(19, '/images/smiles/bravo.gif', ':bravo'),
(20, '/images/smiles/pobeda.gif', ':pobeda'),
(21, '/images/smiles/buhoj.gif', '=('),
(22, '/images/smiles/chit.gif', ':chit'),
(23, '/images/smiles/cop.gif', ':cop'),
(25, '/images/smiles/drazn.gif', ':drazn'),
(27, '/images/smiles/druzhba.gif', ':druzhba'),
(28, '/images/smiles/duma.gif', ':duma'),
(29, '/images/smiles/dz.gif', ':dz'),
(30, '/images/smiles/facepalm.gif', ':nooo'),
(31, '/images/smiles/fingal.gif', ':fingal'),
(32, '/images/smiles/gy.gif', ':gy'),
(33, '/images/smiles/happy.gif', '=)'),
(34, '/images/smiles/hello.gif', ':hello'),
(35, '/images/smiles/help.gif', ':help'),
(36, '/images/smiles/hi.gif', ';)'),
(37, '/images/smiles/jester.gif', ':jester'),
(38, '/images/smiles/king.gif', ':king'),
(39, '/images/smiles/kiss.gif', ':kiss'),
(40, '/images/smiles/klass.gif', ':klass'),
(41, '/images/smiles/lamer.gif', ':uch'),
(42, '/images/smiles/mister.gif', ':mister'),
(75, '/images/smiles/pivo.gif', ':pivo'),
(44, '/images/smiles/neznaju.gif', ':nezn'),
(45, '/images/smiles/nono.gif', ':nono'),
(46, '/images/smiles/not.gif', ':not'),
(47, '/images/smiles/nyam.gif', ':nyam'),
(48, '/images/smiles/ochki.gif', ':gum'),
(49, '/images/smiles/nea.gif', ':nea'),
(50, '/images/smiles/oy.gif', ':oy'),
(51, '/images/smiles/pank.gif', ':yo'),
(52, '/images/smiles/privet.gif', ':hi'),
(53, '/images/smiles/str.gif', ':str'),
(83, '/images/smiles/mafiya.gif', ':mafiya'),
(55, '/images/smiles/zzz.gif', ':zzz'),
(56, '/images/smiles/super.gif', ':super'),
(57, '/images/smiles/vinsent.gif', ':vinsent'),
(58, '/images/smiles/vopros.gif', ':vopr'),
(59, '/images/smiles/gbita.gif', ':gbita'),
(60, '/images/smiles/xaxa.gif', 'xD'),
(61, '/images/smiles/cofe.gif', ':cofe'),
(62, '/images/smiles/zlo.gif', ':zloy'),
(63, '/images/smiles/kur.gif', ':kur'),
(64, '/images/smiles/rules.gif', ':rules'),
(65, '/images/smiles/ura.gif', ':ura'),
(66, '/images/smiles/plak.gif', ':plak'),
(67, '/images/smiles/povar.gif', ':povar'),
(68, '/images/smiles/boks.gif', ':boks'),
(69, '/images/smiles/kovyr.gif', ':kovyr'),
(70, '/images/smiles/rzhu.gif', ':rzhu'),
(71, '/images/smiles/vpr.gif', ':vpr'),
(72, '/images/smiles/poka.gif', ':poka'),
(73, '/images/smiles/w.gif', ':w'),
(74, '/images/smiles/romashki.gif', ':romashki'),
(76, '/images/smiles/ng.gif', ':ng'),
(84, '/images/smiles/shtanga.gif', ':shtanga'),
(79, '/images/smiles/mash.gif', ':mash'),
(81, '/images/smiles/xaxa.gif', ':xaxa'),
(85, '/images/smiles/cool.gif', ':cool'),
(86, '/images/smiles/gitara.gif', ':gitara'),
(87, '/images/smiles/shamp.gif', ':shamp'),
(88, '/images/smiles/zubch.gif', ':zubch'),
(89, '/images/smiles/prelest.gif', ':prelest'),
(90, '/images/smiles/snezhok.gif', ':snezhok'),
(91, '/images/smiles/mjach.gif', ':mjach'),
(92, '/images/smiles/zamerz.gif', ':zamerz'),
(93, '/images/smiles/haha.gif', ':haha'),
(94, '/images/smiles/love.gif', ':love'),
(95, '/images/smiles/nogti.gif', ':nogti');

-- --------------------------------------------------------

--
-- Структура таблицы `survival`
--

CREATE TABLE IF NOT EXISTS `survival` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `what` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `exp` int(11) NOT NULL,
  `wins` int(11) NOT NULL,
  `wave` int(11) NOT NULL,
  `max_exp` int(11) NOT NULL,
  `max_wins` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `task`
--

CREATE TABLE IF NOT EXISTS `task` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `task` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `eng` varchar(100) NOT NULL,
  `info` varchar(2500) NOT NULL,
  `text` varchar(500) NOT NULL,
  `table` int(11) NOT NULL DEFAULT '1',
  `min` int(11) NOT NULL,
  `max` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `mod` int(11) NOT NULL,
  `what` varchar(100) NOT NULL,
  `what2` varchar(100) NOT NULL,
  `kol` int(11) NOT NULL,
  `kol2` int(11) NOT NULL,
  `img` int(11) NOT NULL,
  `img2` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `task`
--

INSERT INTO `task` (`id`, `usr`, `task`, `name`, `eng`, `info`, `text`, `table`, `min`, `max`, `time`, `status`, `mod`, `what`, `what2`, `kol`, `kol2`, `img`, `img2`) VALUES
(1, 1, 1, 'Сильный Удар', 'whack', 'Используйте свое первое умение в бою!', 'Умение использовано', 2, 0, 1, 1470911918, 0, 1, 'Опыт', '', 50, 0, 1, 0),
(2, 1, 6, 'Новые доспехи', '', 'Приобретите в магазине любую вещь', 'Вещь куплена', 2, 0, 1, 1470911918, 0, 0, 'Деньги', 'Опыт', 20, 300, 4, 1),
(3, 1, 42, 'Начало пророчества', 'prophecy', 'Вот и наступил очередной день, но он уже не такой как прежде, тёмные тучи закрывали небо, и сквозь него еле было видно Солнце, необычного красноватого оттенка. Сходите к мудрецу, но будьте осторожны, армия бездушных всё ещё недалеко от врат.', 'Распросы', 2, 3, 3, 1470911918, 1, 1, 'Опыт', '', 100, 0, 1, 0),
(4, 1, 3, 'Захват', '', 'Убейте любого игрока в захвате!', 'Убито', 2, 0, 1, 1470912766, 0, 0, 'Опыт', '', 1500, 0, 1, 0),
(5, 1, 4, 'Поединок', '', 'Вы получили достаточно опыта, чтобы сражаться с другими игроками на дуэльной площади. Победите соперника на дуэли!', 'Победа', 2, 0, 1, 1470912766, 0, 0, 'Опыт', '', 150, 0, 1, 0),
(6, 1, 5, 'Первая работа', '', 'Идите к мастеру и закажите любой камень!', 'Камней заказано', 2, 0, 1, 1470912766, 0, 0, 'Деньги', 'Опыт', 10, 100, 3, 1),
(7, 1, 7, 'Улучшение', '', 'Повысьте уровень любой вещи у кузнеца!', 'Уровень повышен', 2, 0, 1, 1470912766, 0, 0, 'Опыт', '', 100, 0, 1, 0),
(8, 1, 8, 'Первая руна', '', 'Вставьте руну в одну из вещей!', 'Руна вставлена', 2, 0, 1, 1470912766, 0, 0, 'Деньги', 'Опыт', 50, 300, 4, 1),
(9, 1, 15, 'Оборона', '', 'Победите 3 скелетов в обороне!', 'Победы', 2, 0, 3, 1470912766, 0, 0, 'Деньги', 'Опыт', 2, 5000, 4, 1),
(10, 1, 18, 'Колизей', '', 'Победите 5 игроков в колизее!', 'Победы', 2, 0, 5, 1470912766, 0, 0, 'Деньги', 'Опыт', 2, 5000, 4, 1),
(11, 1, 36, 'Монах в опасности', 'monk', 'На старого монаха напали волки! Помогите ему и получите уникальную награду! ', 'Помощь', 2, 1, 1, 1470912766, 1, 1, 'Опыт', 'Исцеление', 3000, 1, 1, 5),
(12, 1, 37, 'Помощь старцу', 'eldercare', 'Старцу нужна ваша помощь. Бойцы, которые ему помогали, получали уникальные умения!', 'Помощь', 2, 1, 1, 1470912766, 1, 1, 'Опыт', 'Дар Богов', 5000, 1, 1, 6),
(13, 1, 39, 'Дар Богов', 'gift', 'Вы получили уникальное умение - Дар Богов. С помощью этого умения, вы сможете крушить врагов быстрее. Испытайте умение в бою!', 'Испытание', 2, 1, 1, 1470912801, 1, 1, 'Опыт', '', 8000, 0, 1, 0),
(14, 1, 38, 'Исцеление', 'healing', 'От старого монаха вы получили уникальное умение - Исцеление! Исцелитесь в бою, чтобы завершить задание!', 'Исцеление', 2, 1, 1, 1470912841, 1, 1, 'Опыт', '', 4000, 0, 1, 0),
(15, 1, 40, 'Записка', 'note', 'Добравшись до хижины мудреца, вы обнаружили, что она пуста. На столе лежала записка: &#34;Не верьте никому, верьте сердцу&#34;. Что же он мог иметь ввиду? Всё очень странно... Вернитесь обратно!', 'Дорога обратно', 2, 1, 1, 1470912914, 1, 1, 'Опыт', '', 400, 0, 1, 0),
(16, 1, 43, 'Незнакомец', 'stranger', 'По пути в город, вы встретили атакованного орками незнакомца. Защитите его!', 'Защитить незнакомца', 2, 1, 1, 1470912922, 1, 1, 'Опыт', '', 800, 0, 1, 0),
(17, 1, 41, 'Пророчество', 'vaticination', 'Ты... тот самый воин... о котором сказано... в пророчестве. Это единственное, что успел он сказать, перед своей смертью. Слишком много загадок...', 'Выслушать', 2, 1, 1, 1470912929, 2, 0, 'Опыт', '', 2000, 5, 1, 0),
(18, 1, 12, 'Мешок золота', '', 'Купите 300 золота и получите столько же в качестве награды!', 'Куплено золота', 1, 0, 300, 1470912954, 0, 0, 'Деньги', 'Опыт', 300, 10000, 4, 1),
(19, 1, 11, 'Большие победы', '', 'Убейте 3 соперников на дуэли, чтобы получить награду!', 'Победы', 1, 0, 3, 1470912954, 0, 0, 'Деньги', 'Опыт', 1, 2000, 4, 1),
(20, 1, 13, 'Отражение', 'reflection', 'Отбейте атаку обезумевших  монстров, чтобы получить награду!', 'Отбито', 1, 0, 20, 1470912954, 0, 1, 'Деньги', 'Опыт', 1, 1500, 4, 1),
(21, 1, 19, 'Потерянная книга', 'lostbook', 'Отберите у лучников старую книгу, чтобы получить награду!', 'Книга найдена', 1, 0, 1, 1470912954, 0, 1, 'Деньги', 'Опыт', 1, 3500, 4, 1),
(22, 1, 20, 'Волчья стая', 'wolfpack', 'Найдите в лесу большого волка и победите его!', 'Победа', 1, 0, 1, 1470912954, 0, 1, 'Деньги', 'Опыт', 1, 4200, 4, 1),
(23, 1, 16, 'Спасение города', '', 'Победите 3 скелетов в обороне!', 'Отбито', 1, 0, 3, 1470912954, 0, 0, 'Деньги', 'Опыт', 2, 5000, 4, 1),
(24, 1, 17, 'Путь гладиатора', '', 'Победите всех противников в колизее 2 раза!', 'Победы', 1, 0, 2, 1470912954, 0, 0, 'Деньги', 'Опыт', 2, 5000, 4, 1),
(25, 1, 24, 'Захват', '', 'Победите 10 противников в захвате!', 'Победы', 1, 0, 10, 1470912954, 0, 0, 'Деньги', 'Опыт', 2, 7000, 4, 1),
(26, 1, 25, 'Выживание', '', 'Победите 100 монстров в любом из выживаний!', 'Победы', 1, 0, 100, 1470912954, 0, 0, 'Деньги', 'Опыт', 1, 50000, 4, 1),
(27, 1, 44, 'Чердак', 'attic', 'Осмотрите чердак, возможно найдется что-то полезное!', 'Осмотрено', 1, 1, 1, 1470912954, 1, 1, 'Опыт', 'Шкатулка', 50000, 1, 1, 20);

-- --------------------------------------------------------

--
-- Структура таблицы `task_n`
--

CREATE TABLE IF NOT EXISTS `task_n` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `task1` int(1) NOT NULL,
  `task2` int(1) NOT NULL,
  `task3` int(1) NOT NULL,
  `task4` int(1) NOT NULL,
  `task5` int(1) NOT NULL,
  `task6` int(1) NOT NULL,
  `task7` int(1) NOT NULL,
  `task8` int(1) NOT NULL,
  `task9` int(1) NOT NULL,
  `task10` int(1) NOT NULL,
  `task11` int(1) NOT NULL,
  `task12` int(1) NOT NULL,
  `task13` int(1) NOT NULL,
  `task14` int(1) NOT NULL,
  `task15` int(1) NOT NULL,
  `task16` int(1) NOT NULL,
  `task17` int(1) NOT NULL,
  `task18` int(1) NOT NULL,
  `task19` int(1) NOT NULL,
  `task20` int(1) NOT NULL,
  `task21` int(1) NOT NULL,
  `task22` int(1) NOT NULL,
  `task23` int(1) NOT NULL,
  `task24` int(1) NOT NULL,
  `task25` int(1) NOT NULL,
  `task26` int(1) NOT NULL,
  `task27` int(1) NOT NULL,
  `task28` int(1) NOT NULL,
  `task29` int(1) NOT NULL,
  `task30` int(1) NOT NULL,
  `task31` int(1) NOT NULL,
  `task32` int(1) NOT NULL,
  `task33` int(1) NOT NULL,
  `task34` int(1) NOT NULL,
  `task35` int(1) NOT NULL,
  `task36` int(1) NOT NULL,
  `task37` int(1) NOT NULL,
  `task38` int(1) NOT NULL,
  `task39` int(1) NOT NULL,
  `task40` int(1) NOT NULL,
  `task41` int(1) NOT NULL,
  `task42` int(1) NOT NULL,
  `task43` int(1) NOT NULL,
  `task44` int(1) NOT NULL,
  `task45` int(1) NOT NULL,
  `task46` int(1) NOT NULL,
  `task47` int(1) NOT NULL,
  `task48` int(1) NOT NULL,
  `task49` int(1) NOT NULL,
  `task50` int(1) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `task_n`
--

INSERT INTO `task_n` (`id`, `usr`, `task1`, `task2`, `task3`, `task4`, `task5`, `task6`, `task7`, `task8`, `task9`, `task10`, `task11`, `task12`, `task13`, `task14`, `task15`, `task16`, `task17`, `task18`, `task19`, `task20`, `task21`, `task22`, `task23`, `task24`, `task25`, `task26`, `task27`, `task28`, `task29`, `task30`, `task31`, `task32`, `task33`, `task34`, `task35`, `task36`, `task37`, `task38`, `task39`, `task40`, `task41`, `task42`, `task43`, `task44`, `task45`, `task46`, `task47`, `task48`, `task49`, `task50`) VALUES
(1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `umen`
--

CREATE TABLE IF NOT EXISTS `umen` (
  `id` int(11) NOT NULL,
  `usr` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `lvl` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `sila` varchar(11) NOT NULL,
  `img` varchar(25) NOT NULL,
  `timer` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `umen`
--

INSERT INTO `umen` (`id`, `usr`, `name`, `lvl`, `time`, `sila`, `img`, `timer`) VALUES
(1, 1, 'Дар Богов', 1, 45, '0.05', 'gift_of_the_Gods', 1470826480),
(2, 1, 'Исцеление', 1, 10, '0.5', 'healing', 1470826490);

-- --------------------------------------------------------

--
-- Структура таблицы `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL,
  `nick` varchar(25) DEFAULT NULL,
  `plem` enum('mol','ogn') NOT NULL,
  `email` varchar(25) NOT NULL,
  `pol` enum('0','1') DEFAULT NULL,
  `pass` varchar(32) DEFAULT NULL,
  `online` int(10) DEFAULT NULL,
  `pumpit` int(10) NOT NULL,
  `fs_id` int(10) NOT NULL,
  `ok` bigint(30) NOT NULL,
  `mail` varchar(64) NOT NULL,
  `battle` enum('0','1') NOT NULL,
  `inv` int(10) NOT NULL,
  `level` int(3) DEFAULT '1',
  `clan` int(10) NOT NULL,
  `dolz` enum('заместитель','мастер','новобранец','опытный','основатель') NOT NULL,
  `rating` int(10) NOT NULL,
  `exp` int(10) DEFAULT '0',
  `health` int(10) DEFAULT NULL,
  `max_health` int(10) DEFAULT NULL,
  `max_uron` int(10) NOT NULL,
  `wins` int(10) NOT NULL,
  `loss` int(10) NOT NULL,
  `gold` int(10) DEFAULT '0',
  `save` enum('1') DEFAULT NULL,
  `sila` int(10) NOT NULL DEFAULT '0',
  `zashit` int(10) NOT NULL DEFAULT '0',
  `param` int(10) NOT NULL DEFAULT '0',
  `prava` int(10) NOT NULL DEFAULT '0',
  `news_read` int(10) NOT NULL DEFAULT '0',
  `ip` varchar(15) DEFAULT NULL,
  `font` varchar(7) NOT NULL DEFAULT '98A2AB',
  `online_total` int(10) NOT NULL DEFAULT '0',
  `sapfyr` int(10) NOT NULL,
  `izumrud` int(10) NOT NULL,
  `topaz` int(10) NOT NULL,
  `rubyn` int(10) NOT NULL,
  `almaz` int(10) NOT NULL,
  `rukzak` int(3) NOT NULL DEFAULT '20',
  `sunduk` int(3) NOT NULL,
  `datareg` int(10) NOT NULL,
  `bonus` int(10) NOT NULL,
  `pod` enum('0','1','2','3','4') NOT NULL,
  `mesto` varchar(25) NOT NULL,
  `zvan` int(2) NOT NULL DEFAULT '1',
  `master` int(10) NOT NULL,
  `kol` int(10) NOT NULL,
  `duel` int(10) NOT NULL,
  `zadan` int(10) NOT NULL,
  `desk` enum('0','1') NOT NULL,
  `lot2` enum('0','1') NOT NULL,
  `lot3` enum('0','1') NOT NULL,
  `lot4` enum('0','1') NOT NULL,
  `lot5` enum('0','1') NOT NULL,
  `lot6` enum('0','1') NOT NULL,
  `lot7` enum('0','1') NOT NULL,
  `lot8` enum('0','1') NOT NULL,
  `mob` int(10) NOT NULL,
  `stan` int(1) NOT NULL,
  `step1` enum('0','1') NOT NULL,
  `bot` enum('0','1') NOT NULL,
  `kom` enum('0','1') NOT NULL,
  `team` enum('0','1') NOT NULL,
  `hexp` int(10) NOT NULL,
  `snow` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user`
--

INSERT INTO `user` (`id`, `nick`, `plem`, `email`, `pol`, `pass`, `online`, `pumpit`, `fs_id`, `ok`, `mail`, `battle`, `inv`, `level`, `clan`, `dolz`, `rating`, `exp`, `health`, `max_health`, `max_uron`, `wins`, `loss`, `gold`, `save`, `sila`, `zashit`, `param`, `prava`, `news_read`, `ip`, `font`, `online_total`, `sapfyr`, `izumrud`, `topaz`, `rubyn`, `almaz`, `rukzak`, `sunduk`, `datareg`, `bonus`, `pod`, `mesto`, `zvan`, `master`, `kol`, `duel`, `zadan`, `desk`, `lot2`, `lot3`, `lot4`, `lot5`, `lot6`, `lot7`, `lot8`, `mob`, `stan`, `step1`, `bot`, `kom`, `team`, `hexp`, `snow`) VALUES
(2, 'Система', 'mol', '', '0', '4462e378', 1460901281, 0, 0, 0, '0', '0', 0, 33, 4, 'опытный', 1008, 5286, 166, 300, 39, 3, 27, 109760, '1', 30, 30, 90, 4, 1, '46.107.228.168', '98A2AB', 4953, 20, 20, 20, 20, 20, 20, 0, 1419207212, 1460456059, '1', 'Почта', 1, 0, 0, 0, 0, '1', '0', '0', '0', '0', '0', '0', '0', 0, 0, '1', '0', '0', '1', 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `users_konts`
--

CREATE TABLE IF NOT EXISTS `users_konts` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `new_msg` int(11) NOT NULL DEFAULT '0',
  `name` varchar(64) DEFAULT NULL,
  `timer` int(25) NOT NULL,
  `del` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=227401 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `xsolla_billing`
--

CREATE TABLE IF NOT EXISTS `xsolla_billing` (
  `id` int(10) NOT NULL,
  `invoice` bigint(20) NOT NULL COMMENT 'Xsolla invoice ID',
  `v1` varchar(100) NOT NULL,
  `v2` varchar(100) DEFAULT NULL,
  `v3` varchar(100) DEFAULT NULL,
  `amount` decimal(10,2) NOT NULL COMMENT 'Amount of payment',
  `currency` varchar(3) DEFAULT NULL COMMENT 'Payment currency',
  `date` timestamp NULL DEFAULT NULL COMMENT 'Date and time of payment',
  `code` int(10) DEFAULT NULL COMMENT 'Response code',
  `description` varchar(100) DEFAULT NULL COMMENT 'Response description',
  `date_add` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `canceled` enum('0','1') NOT NULL DEFAULT '0',
  `date_cancel` timestamp NULL DEFAULT NULL
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `zur`
--

CREATE TABLE IF NOT EXISTS `zur` (
  `id` int(11) NOT NULL,
  `name` varchar(400) NOT NULL,
  `kto` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `clan` int(11) NOT NULL,
  `kogo` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `zur`
--


-- --------------------------------------------------------

--
-- Структура таблицы `zur_gold`
--

CREATE TABLE IF NOT EXISTS `zur_gold` (
  `id` int(11) NOT NULL,
  `kto` int(11) NOT NULL,
  `kol` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `clan` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `zur_gold`
--



--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `alchemist`
--
ALTER TABLE `alchemist`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `attack`
--
ALTER TABLE `attack`
  ADD PRIMARY KEY (`id`),
  ADD KEY `status` (`status`),
  ADD KEY `nextud` (`nextud`);

--
-- Индексы таблицы `at_bat`
--
ALTER TABLE `at_bat`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `status` (`status`),
  ADD KEY `fight` (`fight`);

--
-- Индексы таблицы `ban`
--
ALTER TABLE `ban`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `id_us` (`id_us`),
  ADD KEY `why` (`why`(333)),
  ADD KEY `time` (`time`);

--
-- Индексы таблицы `ban_history`
--
ALTER TABLE `ban_history`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `battle`
--
ALTER TABLE `battle`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `name` (`name`),
  ADD KEY `status` (`status`);

--
-- Индексы таблицы `bonus`
--
ALTER TABLE `bonus`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `image` (`image`),
  ADD KEY `typ` (`typ`),
  ADD KEY `time` (`time`);

--
-- Индексы таблицы `capture`
--
ALTER TABLE `capture`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `nextud` (`nextud`);

--
-- Индексы таблицы `chat`
--
ALTER TABLE `chat`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_user` (`id_user`);

--
-- Индексы таблицы `chests`
--
ALTER TABLE `chests`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `chests_user`
--
ALTER TABLE `chests_user`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `city`
--
ALTER TABLE `city`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan`
--
ALTER TABLE `clan`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `rating` (`rating`),
  ADD KEY `offen` (`offen`);

--
-- Индексы таблицы `clan_chat`
--
ALTER TABLE `clan_chat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clan_zayavky`
--
ALTER TABLE `clan_zayavky`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `coliseum`
--
ALTER TABLE `coliseum`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `status` (`status`),
  ADD KEY `rating` (`rating`),
  ADD KEY `kak` (`kak`),
  ADD KEY `timer` (`timer`);

--
-- Индексы таблицы `defense`
--
ALTER TABLE `defense`
  ADD PRIMARY KEY (`id`),
  ADD KEY `status` (`status`),
  ADD KEY `nextud` (`nextud`);

--
-- Индексы таблицы `def_bat`
--
ALTER TABLE `def_bat`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `status` (`status`),
  ADD KEY `fight` (`fight`);

--
-- Индексы таблицы `dlogi`
--
ALTER TABLE `dlogi`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `duel`
--
ALTER TABLE `duel`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `who` (`who`),
  ADD KEY `status` (`status`);

--
-- Индексы таблицы `duellog`
--
ALTER TABLE `duellog`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `duel_bat`
--
ALTER TABLE `duel_bat`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `who` (`who`),
  ADD KEY `time` (`time`),
  ADD KEY `status` (`status`);

--
-- Индексы таблицы `forum_comm`
--
ALTER TABLE `forum_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_comm_clan`
--
ALTER TABLE `forum_comm_clan`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_razdel`
--
ALTER TABLE `forum_razdel`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_razdel_clan`
--
ALTER TABLE `forum_razdel_clan`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_topic`
--
ALTER TABLE `forum_topic`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_topic_clan`
--
ALTER TABLE `forum_topic_clan`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `friends`
--
ALTER TABLE `friends`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `hiking`
--
ALTER TABLE `hiking`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `lider` (`lider`),
  ADD KEY `usr1` (`usr1`),
  ADD KEY `usr2` (`usr2`),
  ADD KEY `usr3` (`usr3`);

--
-- Индексы таблицы `hik_gift`
--
ALTER TABLE `hik_gift`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `hik_otk`
--
ALTER TABLE `hik_otk`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `hik_us`
--
ALTER TABLE `hik_us`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `hik_zay`
--
ALTER TABLE `hik_zay`
  ADD PRIMARY KEY (`id`),
  ADD KEY `kto` (`kto`);

--
-- Индексы таблицы `hunting`
--
ALTER TABLE `hunting`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`);

--
-- Индексы таблицы `ignor`
--
ALTER TABLE `ignor`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `ipban`
--
ALTER TABLE `ipban`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- Индексы таблицы `kompl`
--
ALTER TABLE `kompl`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `komplekt`
--
ALTER TABLE `komplekt`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `kompl_us`
--
ALTER TABLE `kompl_us`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_us` (`id_us`);

--
-- Индексы таблицы `link`
--
ALTER TABLE `link`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`);

--
-- Индексы таблицы `logi`
--
ALTER TABLE `logi`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `id` (`id`),
  ADD KEY `text` (`text`);

--
-- Индексы таблицы `mail`
--
ALTER TABLE `mail`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_user` (`id_user`,`id_kont`),
  ADD KEY `read` (`read`);

--
-- Индексы таблицы `master`
--
ALTER TABLE `master`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `usr` (`usr`);

--
-- Индексы таблицы `newpass`
--
ALTER TABLE `newpass`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `news`
--
ALTER TABLE `news`
  ADD PRIMARY KEY (`id`),
  ADD KEY `time` (`time`),
  ADD KEY `id` (`id`);

--
-- Индексы таблицы `news_kom`
--
ALTER TABLE `news_kom`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_news` (`id_news`);

--
-- Индексы таблицы `note`
--
ALTER TABLE `note`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_user` (`id_user`);

--
-- Индексы таблицы `offen`
--
ALTER TABLE `offen`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `of_bat`
--
ALTER TABLE `of_bat`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `status` (`status`),
  ADD KEY `fight` (`fight`);

--
-- Индексы таблицы `of_boss`
--
ALTER TABLE `of_boss`
  ADD PRIMARY KEY (`id`),
  ADD KEY `status` (`status`),
  ADD KEY `nextud` (`nextud`);

--
-- Индексы таблицы `setgame`
--
ALTER TABLE `setgame`
  ADD PRIMARY KEY (`id`),
  ADD KEY `obnova` (`obnova`),
  ADD KEY `def_bat` (`def_bat`),
  ADD KEY `def_time` (`def_time`),
  ADD KEY `exp` (`exp`);

--
-- Индексы таблицы `shadow`
--
ALTER TABLE `shadow`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `smiles`
--
ALTER TABLE `smiles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- Индексы таблицы `survival`
--
ALTER TABLE `survival`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `task`
--
ALTER TABLE `task`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `id` (`id`);

--
-- Индексы таблицы `task_n`
--
ALTER TABLE `task_n`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`);

--
-- Индексы таблицы `umen`
--
ALTER TABLE `umen`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usr` (`usr`),
  ADD KEY `timer` (`timer`);

--
-- Индексы таблицы `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `nick` (`nick`),
  ADD KEY `online` (`online`),
  ADD KEY `clan` (`clan`),
  ADD KEY `online_total` (`online_total`),
  ADD KEY `gold` (`gold`),
  ADD KEY `exp` (`exp`),
  ADD KEY `level` (`level`),
  ADD KEY `pass` (`pass`),
  ADD KEY `mesto` (`mesto`),
  ADD KEY `snow` (`snow`),
  ADD KEY `bot` (`bot`),
  ADD KEY `param` (`param`),
  ADD KEY `datareg` (`datareg`),
  ADD KEY `pumpit` (`pumpit`),
  ADD KEY `wins` (`wins`),
  ADD KEY `max_uron` (`max_uron`),
  ADD KEY `kol` (`kol`),
  ADD KEY `duel` (`duel`),
  ADD KEY `zadan` (`zadan`),
  ADD KEY `plem` (`plem`);

--
-- Индексы таблицы `users_konts`
--
ALTER TABLE `users_konts`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id_user` (`id_user`,`id_kont`),
  ADD KEY `time` (`time`),
  ADD KEY `id_user_2` (`id_user`),
  ADD KEY `id_kont` (`id_kont`);

--
-- Индексы таблицы `xsolla_billing`
--
ALTER TABLE `xsolla_billing`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `invoice_UNIQUE` (`invoice`);

--
-- Индексы таблицы `zur`
--
ALTER TABLE `zur`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zur_gold`
--
ALTER TABLE `zur_gold`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `alchemist`
--
ALTER TABLE `alchemist`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `attack`
--
ALTER TABLE `attack`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `at_bat`
--
ALTER TABLE `at_bat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `ban`
--
ALTER TABLE `ban`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ban_history`
--
ALTER TABLE `ban_history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `battle`
--
ALTER TABLE `battle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=22;
--
-- AUTO_INCREMENT для таблицы `bonus`
--
ALTER TABLE `bonus`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `capture`
--
ALTER TABLE `capture`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `chat`
--
ALTER TABLE `chat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `chests`
--
ALTER TABLE `chests`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT для таблицы `chests_user`
--
ALTER TABLE `chests_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `city`
--
ALTER TABLE `city`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT для таблицы `clan`
--
ALTER TABLE `clan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `clan_chat`
--
ALTER TABLE `clan_chat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_zayavky`
--
ALTER TABLE `clan_zayavky`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `coliseum`
--
ALTER TABLE `coliseum`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `defense`
--
ALTER TABLE `defense`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2206;
--
-- AUTO_INCREMENT для таблицы `def_bat`
--
ALTER TABLE `def_bat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `dlogi`
--
ALTER TABLE `dlogi`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `duel`
--
ALTER TABLE `duel`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `duellog`
--
ALTER TABLE `duellog`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT для таблицы `duel_bat`
--
ALTER TABLE `duel_bat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_comm`
--
ALTER TABLE `forum_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_comm_clan`
--
ALTER TABLE `forum_comm_clan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_razdel`
--
ALTER TABLE `forum_razdel`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=19;
--
-- AUTO_INCREMENT для таблицы `forum_razdel_clan`
--
ALTER TABLE `forum_razdel_clan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14157;
--
-- AUTO_INCREMENT для таблицы `forum_topic`
--
ALTER TABLE `forum_topic`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_topic_clan`
--
ALTER TABLE `forum_topic_clan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `friends`
--
ALTER TABLE `friends`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hiking`
--
ALTER TABLE `hiking`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hik_gift`
--
ALTER TABLE `hik_gift`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hik_otk`
--
ALTER TABLE `hik_otk`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hik_us`
--
ALTER TABLE `hik_us`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hik_zay`
--
ALTER TABLE `hik_zay`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `hunting`
--
ALTER TABLE `hunting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `ignor`
--
ALTER TABLE `ignor`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ipban`
--
ALTER TABLE `ipban`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `kompl`
--
ALTER TABLE `kompl`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=171;
--
-- AUTO_INCREMENT для таблицы `komplekt`
--
ALTER TABLE `komplekt`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=107;
--
-- AUTO_INCREMENT для таблицы `kompl_us`
--
ALTER TABLE `kompl_us`
  MODIFY `id` int(12) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT для таблицы `link`
--
ALTER TABLE `link`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2245901;
--
-- AUTO_INCREMENT для таблицы `logi`
--
ALTER TABLE `logi`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT для таблицы `mail`
--
ALTER TABLE `mail`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `master`
--
ALTER TABLE `master`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `newpass`
--
ALTER TABLE `newpass`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news`
--
ALTER TABLE `news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news_kom`
--
ALTER TABLE `news_kom`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `note`
--
ALTER TABLE `note`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `offen`
--
ALTER TABLE `offen`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `of_bat`
--
ALTER TABLE `of_bat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `of_boss`
--
ALTER TABLE `of_boss`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `setgame`
--
ALTER TABLE `setgame`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `shadow`
--
ALTER TABLE `shadow`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `smiles`
--
ALTER TABLE `smiles`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=96;
--
-- AUTO_INCREMENT для таблицы `survival`
--
ALTER TABLE `survival`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `task`
--
ALTER TABLE `task`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=28;
--
-- AUTO_INCREMENT для таблицы `task_n`
--
ALTER TABLE `task_n`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `umen`
--
ALTER TABLE `umen`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `users_konts`
--
ALTER TABLE `users_konts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=227401;
--
-- AUTO_INCREMENT для таблицы `xsolla_billing`
--
ALTER TABLE `xsolla_billing`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=458;
--
-- AUTO_INCREMENT для таблицы `zur`
--
ALTER TABLE `zur`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=26038;
--
-- AUTO_INCREMENT для таблицы `zur_gold`
--
ALTER TABLE `zur_gold`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=21879;
